REPOMAN(1)

NAME
repoman - Gentoo's program to enforce a minimal level of quality assurance in packages added to the portage tree

SYNOPSIS
repoman [option] [mode]

DESCRIPTION
Quality is job zero.
repoman is meant for Gentoo developers only due to the fact it does not work on a per-ebuild basis. It checks the quality of CVS repositories.
Note: repoman only runs inside local CVS repositories.

OPTIONS

--pretend
    Don't actually perform commit or fix problems, just show what would be done.

--help
    Show the help screen.

MODES

scan
    Scan current directory tree for QA issues (default). See QA KEYWORDS for more information.

fix Fix those issues that can be fixed (stray digests, missing digests).

full
    Scan current directory tree for QA issues (full listing). See QA KEYWORDS for more information.

help
    Show the help screen.

commit
    Scan current directory tree for QA issues. If OK, commit via cvs.

QA KEYWORDS

CVS/Entries.IO_error
    While attempting to commit, a CVS/Entries directory wasn't found- either the cvs co is damaged, or permissions block repoman from reading the file.

digest.stray
    Digest files were found that do not have a corresponding ebuild.

digest.missing
    Ebuild files were found that do not have a corresponding digest.

ebuild.invalidname
    The ebuild has a filename that is not-parseable by portage.

ebuild.namenomatch
    The euild has a filename that does not have the same name as the parent directory.

changelog.missing
    The ChangeLog file was not found.

ebuild.notadded
    The ebuilds were found but have not been added to cvs.

digest.notadded
    The digests were found but have not been added to cvs.

ebuild.disjointed
    The ebuilds were not added to cvs when the matching digest had already been added.

digest.disjointed
    The digests were not added to cvs when the matching ebuild had already been added.

filedir.missing
    The package lacks a files directory.

file.size
    The file's size exceeds 20k, current policy is no files over 20k in a packages files directory.

file.executable
    The file has the executable bit set, when it's not needed- check is limited to ebuilds, digests, Manifest, ChangeLog, and metadata.xml.

DEPEND.bad
    User-visible ebuilds with bad DEPEND settings (matched against *visible* ebuilds). In other words, user-visiable ebuilds could not be found to satisfy the DEPEND settings.

RDEPEND.bad
    User-visible ebuilds with bad RDEPEND settings (matched against *visible* ebuilds). In other words, user-visiable ebuilds could not be found to satisfy the RDEPEND settings.

DEPEND.badmasked
    Masked ebuilds with bad DEPEND settings (matched against *all* ebuilds) In other words, no ebuilds could not be found to satisfy the DEPEND settings.

RDEPEND.badmasked
    Masked ebuilds with RDEPEND settings (matched against *all* ebuilds) In other words, no ebuilds could not be found to satisfy the RDEPEND settings.

ebuild.syntax
    An error occured while generating the cache entry. This typically means the ebuild contains syntax error(s).

ebuild.output
    A simple sourcing of the ebuild produces output. This breaks ebuild policy.

KEYWORDS.missing
    The ebuild does not have a KEYWORDS variable.

LICENSE.missing
    The ebuild does not have a LICENSE variable.

DESCRIPTION.missing
    The ebuild does not have a DESCRIPTION variable.

SLOT.missing
    The ebuild does not have a SLOT variable.

AUTHORS
Daniel Robbins <drobbins@gentoo.org>

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
emerge(1)

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/repoman.1,v 1.7 2004/09/17 00:17:10 vapier Exp $